version: "3.2"

volumes:
  redis_data: {}

services:
  redis:
    image: redis
    container_name: redis
    ports:
      - 6379:6379
    command: redis-server --requirepass MyS3cr3t
    volumes:
      - redis_data:/data

  api:
    build: src/api/
    image: registry.gitlab.com/tikal-external/academy-public/images/nodejs-ping:${DOCKER_VERSION:-latest}
    ports:
      - 8080:8080
    environment:
      NODE_ENV: "docker"
    depends_on:
      - redis

  pinger:
    build: src/pinger/
    image: registry.gitlab.com/tikal-external/academy-public/images/pinger:${DOCKER_VERSION:-latest}
    environment:
      API_URL: http://api:8080
    depends_on:
      - api

  poller:
    build: src/poller/
    image: registry.gitlab.com/tikal-external/academy-public/images/poller:${DOCKER_VERSION:-latest}
    environment:
      API_URL: http://api:8080
    depends_on:
      - api

